Bug 140838 - elementary: New Arrow Style for Undo and Redo
Summary: elementary: New Arrow Style for Undo and Redo
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: medium enhancement
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.2.0 target:7.1.2
Keywords:
Depends on:
Blocks: Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2021-03-06 09:20 UTC by Rizal Muttaqin
Modified: 2021-03-30 14:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
New elementary Undo & Redo icons (12.02 KB, image/png)
2021-03-06 09:48 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2021-03-06 09:20:35 UTC
See the commit from elementary icon upstream:

https://github.com/elementary/icons/commi/54dcc3648acd1e14877d8ff6a51bbfde3b660d6b
Comment 1 Roman Kuznetsov 2021-03-06 09:37:12 UTC
Page not found =((In reply to Rizal Muttaqin from comment #0)
> See the commit from elementary icon upstream:
> 
> https://github.com/elementary/icons/commi/
> 54dcc3648acd1e14877d8ff6a51bbfde3b660d6b

Page not found
Comment 2 Roman Kuznetsov 2021-03-06 09:38:56 UTC
(In reply to Roman Kuznetsov from comment #1)
> Page not found =((In reply to Rizal Muttaqin from comment #0)
> > See the commit from elementary icon upstream:
> > 
> > https://github.com/elementary/icons/commi/
> > 54dcc3648acd1e14877d8ff6a51bbfde3b660d6b
> 
> Page not found

because there is a mistake in the address, should be

https://github.com/elementary/icons/commit/54dcc3648acd1e14877d8ff6a51bbfde3b660d6b

And Rizal, please add screenshots for comparize before vs. after. Thanks
Comment 3 Rizal Muttaqin 2021-03-06 09:48:13 UTC
Created attachment 170266 [details]
New elementary Undo & Redo icons

(In reply to Roman Kuznetsov from comment #2)

> because there is a mistake in the address, should be
> 
> https://github.com/elementary/icons/commit/
> 54dcc3648acd1e14877d8ff6a51bbfde3b660d6b
> 

Thanks, sorry for wrong link

> And Rizal, please add screenshots for comparize before vs. after. Thanks

See the attachment
Comment 4 Roman Kuznetsov 2021-03-06 10:00:32 UTC
I don't see a many difference, but I don't have objections too

ps: I think there are no shadows for new Undo icons for 16 and 24 px, but there is a shadow for 32px Undo icon.
Comment 5 Rizal Muttaqin 2021-03-06 10:14:23 UTC
(In reply to Roman Kuznetsov from comment #4)
> I don't see a many difference, but I don't have objections too

Yes, elementary folks don't want a radical change, see further explanation here: https://blog.elementary.io/look-and-feel-changes-elementary-os-6/

> ps: I think there are no shadows for new Undo icons for 16 and 24 px, but
> there is a shadow for 32px Undo icon.

The whole icons have shadow, you just need to see actual file. I won't change anything from upstream
Comment 6 Commit Notification 2021-03-06 16:05:19 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d64ce9f3b239e87622dd5bf313476b503df730af

elementary: tdf#140838 new Undo & Redo icons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-03-06 16:06:30 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9eeb580f5c57918484baff74ca052a96ed1056b3

elementary: related to tdf#140838 new Undo & Redo icons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-03-07 07:40:21 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/982c579fbe59812900f5d181eea0c9b7efa78a8a

elementary: related to tdf#140838 new Undo & Redo icons

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-03-07 07:41:32 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/b5a1952d28607978fad4444ec263c015c946a191

elementary: tdf#140838 new Undo & Redo icons

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Rizal Muttaqin 2021-03-30 14:33:59 UTC
fixed in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: a22357213807fa46b903e7d040809cff194c39af
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-03-29_12:01:23
Calc: threaded